## org.mortbay.io.nio
Class SelectChannelEndPoint.IdleTask

    java.lang.Object
      org.mortbay.thread.Timeout.Task
          org.mortbay.io.nio.SelectChannelEndPoint.IdleTask

Enclosing class:
  SelectChannelEndPoint

    public class SelectChannelEndPoint.IdleTask

extends Timeout.Task

Constructor Summary
`SelectChannelEndPoint.IdleTask()`

Method Summary
`void` `expire()` Expire task.
`String` `toString()`

Methods inherited from class org.mortbay.thread.Timeout.Task
`cancel, getAge, getTimestamp, isExpired, reschedule, schedule, schedule, setNext, unlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectChannelEndPoint.IdleTask

    public SelectChannelEndPoint.IdleTask()

Method Detail

### expire

    public void expire()

  Description copied from class: `Timeout.Task`
  Expire task. This method is called when the timeout expires.

  Overrides:
    `expire` in class `Timeout.Task`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.